For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedConnectorsAPI reference
Get startedConnectorsAPI reference
  • Agent Handler
      • GETList Tool Packs
      • POSTCreate Tool Pack
      • GETGet Tool Pack
      • DELDelete Tool Pack
      • PATCHUpdate Tool Pack
      • GETList connectors in a Tool Pack
      • PUTUpdate connectors in a Tool Pack
      • PATCHUpdate connectors in a Tool Pack (partial)
      • DELRemove a connector from a Tool Pack

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Agent HandlerTool Packs

List connectors in a Tool Pack

GET
https://ah-api.merge.dev/api/v1/tool-packs/:tool_pack_id/connectors/
GET
/api/v1/tool-packs/:tool_pack_id/connectors/
$curl https://ah-api.merge.dev/api/v1/tool-packs/tool_pack_id/connectors/ \
> -H "Authorization: Bearer <token>"
200List connectors
1[
2 {
3 "slug": "github",
4 "name": "GitHub",
5 "source_url": "https://github.com",
6 "logo_url": "https://github.com/favicon.ico",
7 "categories": [
8 "Developer Tools"
9 ],
10 "auth_scope": "INDIVIDUAL",
11 "tools": [
12 {
13 "name": "create_issue",
14 "description": "Create a new issue",
15 "input_schema": {
16 "type": "object",
17 "properties": {
18 "title": {
19 "type": "string"
20 }
21 },
22 "required": [
23 "title"
24 ]
25 },
26 "credit_type": "default"
27 },
28 {
29 "name": "list_issues",
30 "description": "List issues",
31 "input_schema": {
32 "type": "object",
33 "properties": {}
34 },
35 "credit_type": "default"
36 }
37 ],
38 "connector_id": "3c90c3c0-6d46-4b50-8888-8dd25736052f"
39 }
40]
List the connectors attached to a tool pack, with the tools enabled on each connector.
Was this page helpful?
Previous

Update Tool Pack

Next

Update connectors in a Tool Pack

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

tool_pack_idstringRequiredformat: "uuid"

Response

slugstring
namestring
source_urlstring or null
logo_urlstring
categorieslist of any
auth_scopeenum

How credentials are shared for this connector.

  • INDIVIDUAL: each registered user authenticates with their own credential
  • SHARED: users in the same registered_company share one credential
  • ORGANIZATION: one credential is used for the whole organization
  • INDIVIDUAL - INDIVIDUAL
  • SHARED - SHARED
  • ORGANIZATION - ORGANIZATION
Allowed values:
toolslist of objectsRead-only
connector_idstringformat: "uuid"

DEPRECATED — alias for the connector UUID. Prefer slug as the primary identifier. Retained for backward compatibility.